package com.gfg.kiit.baysafe.ui

import android.content.Intent
import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.navigation.fragment.findNavController
import com.gfg.kiit.baysafe.activity.MainActivity
import com.gfg.kiit.baysafe.R
import com.gfg.kiit.baysafe.data.SavedPreference
import com.gfg.kiit.baysafe.databinding.FragmentAccountBinding
import com.google.android.gms.auth.api.signin.GoogleSignIn
import com.google.android.gms.auth.api.signin.GoogleSignInClient
import com.google.android.gms.auth.api.signin.GoogleSignInOptions
class AccountFragment : Fragment() {
    private var _binding: FragmentAccountBinding? = null
    private val binding get() = _binding!!
    lateinit var mGoogleSignInClient: GoogleSignInClient


    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View {
        // Inflate the layout for this fragment
        _binding = FragmentAccountBinding.inflate(inflater, container, false)

        val gso = GoogleSignInOptions.Builder(GoogleSignInOptions.DEFAULT_SIGN_IN)
            .requestIdToken("854789459236-js3mmca0pmoe1a49m4nm7v40cliv5kii.apps.googleusercontent.com")
            .requestEmail()
            .build()
        mGoogleSignInClient= GoogleSignIn.getClient(requireContext(),gso)

        binding.nameOfTheUser.text = SavedPreference.getName(requireContext())

        binding.developers.setOnClickListener{
            findNavController().navigate(R.id.action_accountFragment_to_aboutUsFragment)
        }
        binding.hints.setOnClickListener{
            findNavController().navigate(R.id.action_accountFragment_to_hintsFragment)
        }
        binding.logout.setOnClickListener{
            mGoogleSignInClient.signOut().addOnCompleteListener {
                val intent= Intent(requireContext(), MainActivity::class.java)
                startActivity(intent)
                requireActivity().finish()
            }
        }

        return binding.root
    }

    override fun onDestroyView() {
        super.onDestroyView()
        _binding = null
    }
}